#2890 closed defect (fixed)

_RBTree_Initialize_node generates warnings

Reported by: Stavros Passas Owned by: Sebastian Huber <sebastian.huber@…>
Priority: low Milestone: 5.1
Component: score Version: 5
Severity: trivial Keywords:
Cc: Blocked By:
Blocking:

Description

Currently, when _RBTree_Initialize_node is used, it generates warnings of unused variables. I traced the issue down to the variable being used only if RTEMS_DEBUG is set.

Thus, the argument should be marked as RTEMS_UNUSED, if RTENS_DEBUG is not set.

Attachments (1)

2890-Avoid-warnings-on-_RBTree_Initialize_node.patch (999 bytes) - added by Stavros Passas on Jan 30, 2017 at 11:07:39 AM.
Fix

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Jan 30, 2017 at 11:08:39 AM by Stavros Passas

Suggested fix attached.

comment:2 Changed on Jan 30, 2017 at 11:30:42 AM by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In c5430e0618fbe1517417a0b353c12924a8934554/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.